This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 240038 - Anaconda fails to start when using kickstart file.
Anaconda fails to start when using kickstart file.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-14 12:32 EDT by dex
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-02 10:22:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda-fails-with-kickstart-file (1.27 KB, text/plain)
2007-05-14 12:32 EDT, dex
no flags Details
kickstart file (426 bytes, text/plain)
2007-05-14 12:36 EDT, dex
no flags Details
anaconda not finding release notes & rpms (4.17 KB, text/plain)
2007-05-14 12:54 EDT, dex
no flags Details
kadischi-anaconda-crash (38.31 KB, text/plain)
2007-06-30 06:44 EDT, dex
no flags Details

  None (edit)
Description dex 2007-05-14 12:32:35 EDT
Description of problem:
Anaconda fails to start when using kickstart file.

Version-Release number of selected component (if applicable):
anaconda-11.2.0.58-1
busybox-anaconda-1.2.2-8.fc7
anaconda-runtime-11.2.0.58-1

How reproducible:
always

Steps to Reproduce:
1. run anaconda using kadischi.
2. run anaconda from cmd-line.
3.
  
Actual results:
anaconda goes into an endless 99% usage loop. 

Expected results:
anaconda to build install tree. 

Additional info:
Not using a kickstart file brings up the gui and package selection as normal
which then fails to grab some rpms & Release notes from mirrors. so thats two
bugs in one report will separate if requested.
Attaching Logs /tmp/anaconda.log
more info here:
https://www.redhat.com/archives/fedora-livecd-list/2007-May/msg00064.html
https://www.redhat.com/archives/fedora-livecd-list/2007-May/msg00062.html
Comment 1 dex 2007-05-14 12:32:35 EDT
Created attachment 154667 [details]
anaconda-fails-with-kickstart-file
Comment 2 dex 2007-05-14 12:36:39 EDT
Created attachment 154668 [details]
kickstart file

minimal kickstart file
Comment 3 dex 2007-05-14 12:54:01 EDT
Created attachment 154671 [details]
anaconda not finding release notes & rpms
Comment 4 dex 2007-05-24 10:55:55 EDT
using this command-line now brings up a successful text install, 
anaconda --kickstart=/home/dexter/mini-ks-cfg.ks --nompath --nodmraid
--rootpath=/tmp/kadischi.oluQuu
--method=http://mirror.atrpms.net/fedoracore/development/i386/os
Comment 5 dex 2007-05-24 10:58:43 EDT
components:
anaconda-runtime-11.2.0.63-2
busybox-anaconda-1.2.2-8.fc7
anaconda-11.2.0.63-2
Comment 6 Red Hat Bugzilla 2007-06-11 23:53:46 EDT
requested by Jams Antill
Comment 7 dex 2007-06-22 13:34:02 EDT
updated to 
anaconda.i386 0:11.2.0.66-1 
anaconda-runtime.i386 0:11.2.0.66-1

will give it a test this week-end.
Comment 8 dex 2007-06-30 06:45:00 EDT
Created attachment 158289 [details]
kadischi-anaconda-crash
Comment 9 dex 2007-06-30 06:46:03 EDT
ok basically it failed again with anaconda.i386 0:11.2.0.66-1
but the way it failed raised the question about yum 3.2.1-1 it dies if you
peruse the logs reverting yum to 3.1.7-2 confirmed this breakage.
Comment 10 Chris Lumens 2007-07-02 10:22:05 EDT
This will be fixed in the next build of anaconda.

Note You need to log in before you can comment on or make changes to this bug.